<?php

//--------------------------------------------------

namespace Bbg\ProductAssets\Collection;

//--------------------------------------------------

use Bbg\ProductAssets\CDN\AbstractCDN;
use Bbg\ProductAssets\Entity\ThreeHundredSixtyEntity;

//--------------------------------------------------

class ThreeHundredSixtyCollection extends AbstractCollection
{

//--------------------------------------------------
// Public:Propertys


//--------------------------------------------------
// Private:Propertys


//--------------------------------------------------
// Protected:Propertys


//--------------------------------------------------
// Constants


//--------------------------------------------------
    /**
     * No Information Found
     * @since 1.0
     */
    public function __construct(array $assetObjects, ?string $path = null, ?AbstractCDN $cdn = null)
    {
        $this
            ->setPath($path);

        if (!is_null($cdn)) {
            $this
                ->setCDN($cdn);
        }

        foreach ($assetObjects as $assetObject) {
            if (is_object($assetObject)) {
                parent::add(new ThreeHundredSixtyEntity($assetObject, $path, $cdn));
            }
        }
    }

//--------------------------------------------------

}

//--------------------------------------------------

?>