<?php

//--------------------------------------------------

namespace Bbg\ProductAssets\CDN;

//--------------------------------------------------

use Imgix\UrlBuilder;

//--------------------------------------------------

class ImgixCDN extends AbstractCDN
{

//--------------------------------------------------
// Public:Propertys


//--------------------------------------------------
// Private:Propertys


//--------------------------------------------------
// Protected:Propertys


//--------------------------------------------------
// Constants
    const ENDPOINT = "%s.imgix.net";

//--------------------------------------------------

    /**
     * No Information Found
     * @since 1.0
     */
    public function getPath(string $path, ?array $args = null): string
    {
        $builder = $this->getBuilder();

        $builder->setIncludeLibraryParam(false);

        return $builder->createURL($path, $args);
    }

//--------------------------------------------------

    /**
     * No Information Found
     * @since 1.0
     */
    public function getBuilder(): UrlBuilder
    {
        return new UrlBuilder(sprintf(self::ENDPOINT, $this->getClientID()));
    }

//--------------------------------------------------

}

//--------------------------------------------------

?>