<?php

//--------------------------------------------------

namespace Bbg\ProductAssets\Entity;

//--------------------------------------------------

use Bbg\ProductAssets\CDN\AbstractCDN;
use stdClass;

//--------------------------------------------------

class VideoEntity extends AbstractEntity
{

//--------------------------------------------------
// Public:Propertys


//--------------------------------------------------
// Private:Propertys
    private $poster;

//--------------------------------------------------
// Protected:Propertys


//--------------------------------------------------
// Constants


//--------------------------------------------------
    /**
     * No Information Found
     * @since 1.0
     */
    public function __construct(?stdClass $data = null, ?string $path = null, ?AbstractCDN $cdn = null)
    {
        if (is_null($data)) {
            return true;
        }

        parent::__construct($data, $path, $cdn);

        $this
            ->setUrl((isset($data->url) ? $data->url : ""))
            ->setPoster(isset($data->poster) ? $data->poster : "");
    }

//--------------------------------------------------

    /**
     * No Information Found
     * @since 1.0
     */
    public function getPoster(): string
    {
        return $this->poster;
    }

//--------------------------------------------------

    /**
     * No Information Found
     * @since 1.0
     */
    public function setPoster(string $value): VideoEntity
    {
        $this->poster = $value;

        return $this;
    }

//--------------------------------------------------

}

//--------------------------------------------------

?>